Bug 1028896 - Failed to copy git url using ctrl-c on Firefox25
Failed to copy git url using ctrl-c on Firefox25
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Jordan Liggitt
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 02:23 EST by Tian Feng
Modified: 2015-05-14 21:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 22:29:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tian Feng 2013-11-11 02:23:29 EST
Description of problem:
Go to web console, add sshkey, create an app and then check its git url and try to copy by ctrl-c on Firefox25. (i.e. ssh://52804fd35adafdcbf2000046@php-ioi.dev.rhcloud.com/~/git/php.git/)
But git url can be copied by right click. All the other browsers are ok. This situation only occurs on Firefox.

Version-Release number of selected component (if applicable):
devenv_4016

How reproducible:
Always

Steps to Reproduce:
1. Go to web console and check git url of an app
2. Try to copy git url by selecting it and pressing ctrl-c
3. 

Actual results:
Failed to copy git git url by selecting and pressing ctrl-c just on Firefox25.

Expected results:
Git url should be copied by selecting and pressing ctrl-c on Firefox25.

Additional info:
Comment 1 Jordan Liggitt 2013-11-11 12:33:37 EST
Will merge in https://github.com/openshift/origin-server/pull/4153
Comment 2 openshift-github-bot 2013-11-11 19:12:40 EST
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/8f014e8c54ac554abcc3fbc00362d7ea23c15be2
Bug 1028896: Fix copy/paste of ssh url field
Comment 3 Tian Feng 2013-11-11 22:07:43 EST
Will test it on devenv_4021 when it's ready.
Comment 4 Tian Feng 2013-11-12 01:39:28 EST
Test it on devenv_4022 and firefox25, I can copy ssh url using ctrl-c. So verify this bug, thanks!

Note You need to log in before you can comment on or make changes to this bug.